import * as core from "@terrascript/core";

export interface DsActiveReceiptRuleSetArgs {}

export class DsActiveReceiptRuleSet extends core.Data<DsActiveReceiptRuleSetArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public ruleSetName!: string | core.StringOut;

  constructor(name: string, args?: DsActiveReceiptRuleSetArgs) {
    super(name, "aws_ses_active_receipt_rule_set", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
